lp:ubuntu/natty/duplicity

Created by James Westby on 2010-10-13 and last modified on 2011-04-03
Get this branch:
bzr branch lp:ubuntu/natty/duplicity
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

22. By Michael Terry on 2011-04-03

* Resync with Debian, no remaining changes
* New upstream release
  - silent data corruption with checkpoint/restore (LP: #613244)
  - Assertion error "time not moving forward at appropriate pace"
    (LP: #579958)
* debian/patches/04future.dpatch:
  - Dropped, applied upstream

21. By Michael Terry on 2011-03-08

* New upstream release
* debian/patches/04fixrsyncbackend.patch:
  - Dropped, applied upstream

20. By Matthias Klose on 2010-12-08

Rebuild with python 2.7 as the python default.

19. By Michael Terry on 2010-11-26

* New upstream release
  - os.execve should get passed program as first argument (LP: #637556)
* debian/patches/04fixrsyncbackend.patch:
  - Remove previous patch, as it was applied upstream
  - Change it to fix new upstream rsync backend bug, 681980

18. By Elliot Murphy on 2010-11-17

* Fix rsync backend traceback (LP: #589495)
  - Patch by Edgar Soldin

17. By Michael Terry on 2010-09-19

* New upstream release
  - Fixes crash when using --short-filenames (LP: #589495)
* debian/patches/03forcecleanup.dpatch: Updated to apply
* debian/patches/04fixparsed_url.dpatch: Dropped, applied upstream

16. By Michael Terry on 2010-01-09

* Merge from debian unstable, remaining changes: (LP: #428206)
  - 02gnupginterface.dpatch: Use system's python-gnupginterface
* fixed ssh backend failure (tried to import local pexpect module)
  (closes: #556095)
* New upstream release (closes: #539903, #420858)
* does no longer depend on python-gnupginterface: upstream
  provides a modified version which is claimed to be incompatible
* does not install a local version of python-pexpect
  anymore (closes: #555359)
* adjusted rules to cater for future python2.6 install
  setup (closes: #547825)
* New upstream release
* lifted standards version
* New upstream release (closes: #536361, #537260, #42858,
  #399371, #388180, #386749 )
* new project homepage
* added notes regarding changed archive-dir behaviour

15. By Michael Terry on 2010-01-09

Merging shared upstream rev into target branch.

14. By Michael Terry on 2009-06-22

* New upstream release (LP: #390666)
* Fixes LP: #368062 and LP: #379648

13. By Andreas Moog on 2009-04-29

* Merge from debian unstable, remaining changes: (LP: #369224)
  - debian/rules:
    + add --install-layout=deb to setup.py
    + s/site-packages/*-packages/
    + don't use package provided GnuPGInterface
      - debian uses it because of debian bug #509415, which is fixed in
        ubuntu. (See bug 333057 on LP)
  - debian/patches
    + add 01_use_python_gnupginterface.dpatch
      - use GnuPGInterface provided by python-gnupginterface
* Fixes at least:
  - use of ssh with given portnumber (LP: #259076)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/duplicity
This branch contains Public information 
Everyone can see this information.

Subscribers